Imported Upstream version 3.11.4
[platform/upstream/pygobject2.git] / gi / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 am__make_dryrun = \
20   { \
21     am__dry=no; \
22     case $$MAKEFLAGS in \
23       *\\[\ \   ]*) \
24         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
25           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
26       *) \
27         for am__flg in $$MAKEFLAGS; do \
28           case $$am__flg in \
29             *=*|--*) ;; \
30             *n*) am__dry=yes; break;; \
31           esac; \
32         done;; \
33     esac; \
34     test $$am__dry = yes; \
35   }
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkgincludedir = $(includedir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkglibexecdir = $(libexecdir)/@PACKAGE@
40 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
41 install_sh_DATA = $(install_sh) -c -m 644
42 install_sh_PROGRAM = $(install_sh) -c
43 install_sh_SCRIPT = $(install_sh) -c
44 INSTALL_HEADER = $(INSTALL_DATA)
45 transform = $(program_transform_name)
46 NORMAL_INSTALL = :
47 PRE_INSTALL = :
48 POST_INSTALL = :
49 NORMAL_UNINSTALL = :
50 PRE_UNINSTALL = :
51 POST_UNINSTALL = :
52 build_triplet = @build@
53 host_triplet = @host@
54 @OS_WIN32_TRUE@am__append_1 = \
55 @OS_WIN32_TRUE@ -no-undefined
56
57 @ENABLE_CAIRO_TRUE@am__append_2 = _gi_cairo.la
58 subdir = gi
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
60 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
61 am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
62         $(top_srcdir)/m4/jhflags.m4 $(top_srcdir)/m4/libtool.m4 \
63         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
64         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
65         $(top_srcdir)/m4/python.m4 $(top_srcdir)/configure.ac
66 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
67         $(ACLOCAL_M4)
68 mkinstalldirs = $(install_sh) -d
69 CONFIG_HEADER = $(top_builddir)/config.h
70 CONFIG_CLEAN_FILES =
71 CONFIG_CLEAN_VPATH_FILES =
72 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
73 am__vpath_adj = case $$p in \
74     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
75     *) f=$$p;; \
76   esac;
77 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
78 am__install_max = 40
79 am__nobase_strip_setup = \
80   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
81 am__nobase_strip = \
82   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
83 am__nobase_list = $(am__nobase_strip_setup); \
84   for p in $$list; do echo "$$p $$p"; done | \
85   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
86   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
87     if (++n[$$2] == $(am__install_max)) \
88       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
89     END { for (dir in files) print dir, files[dir] }'
90 am__base_list = \
91   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
92   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
93 am__uninstall_files_from_dir = { \
94   test -z "$$files" \
95     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
96     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
97          $(am__cd) "$$dir" && rm -f $$files; }; \
98   }
99 am__installdirs = "$(DESTDIR)$(pygidir)"
100 LTLIBRARIES = $(pygi_LTLIBRARIES)
101 am__DEPENDENCIES_1 =
102 @OS_WIN32_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
103 _gi_la_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_1) \
104         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
105 am__gi_la_OBJECTS = _gi_la-pygi-repository.lo _gi_la-pygi-info.lo \
106         _gi_la-pygi-foreign.lo _gi_la-pygi-struct.lo \
107         _gi_la-pygi-source.lo _gi_la-pygi-argument.lo \
108         _gi_la-pygi-type.lo _gi_la-pygi-boxed.lo \
109         _gi_la-pygi-closure.lo _gi_la-pygi-ccallback.lo \
110         _gi_la-pygi-property.lo _gi_la-pygi-signal-closure.lo \
111         _gi_la-gimodule.lo _gi_la-pygi-invoke.lo _gi_la-pygi-cache.lo \
112         _gi_la-pygi-marshal-from-py.lo _gi_la-pygi-marshal-to-py.lo \
113         _gi_la-pygi-marshal-cleanup.lo
114 _gi_la_OBJECTS = $(am__gi_la_OBJECTS)
115 AM_V_lt = $(am__v_lt_@AM_V@)
116 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
117 am__v_lt_0 = --silent
118 _gi_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
119         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_la_CFLAGS) $(CFLAGS) \
120         $(_gi_la_LDFLAGS) $(LDFLAGS) -o $@
121 _gi_cairo_la_DEPENDENCIES = $(am__DEPENDENCIES_2) \
122         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
123 am__gi_cairo_la_OBJECTS = _gi_cairo_la-pygi-foreign-cairo.lo
124 _gi_cairo_la_OBJECTS = $(am__gi_cairo_la_OBJECTS)
125 _gi_cairo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
126         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(_gi_cairo_la_CFLAGS) \
127         $(CFLAGS) $(_gi_cairo_la_LDFLAGS) $(LDFLAGS) -o $@
128 @ENABLE_CAIRO_TRUE@am__gi_cairo_la_rpath = -rpath $(pygidir)
129 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
130 depcomp = $(SHELL) $(top_srcdir)/depcomp
131 am__depfiles_maybe = depfiles
132 am__mv = mv -f
133 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
134         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
135 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
136         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
137         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
138         $(AM_CFLAGS) $(CFLAGS)
139 AM_V_CC = $(am__v_CC_@AM_V@)
140 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
141 am__v_CC_0 = @echo "  CC    " $@;
142 AM_V_at = $(am__v_at_@AM_V@)
143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
144 am__v_at_0 = @
145 CCLD = $(CC)
146 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
147         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
148         $(AM_LDFLAGS) $(LDFLAGS) -o $@
149 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
150 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
151 am__v_CCLD_0 = @echo "  CCLD  " $@;
152 AM_V_GEN = $(am__v_GEN_@AM_V@)
153 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
154 am__v_GEN_0 = @echo "  GEN   " $@;
155 SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
156 DIST_SOURCES = $(_gi_la_SOURCES) $(_gi_cairo_la_SOURCES)
157 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
158         html-recursive info-recursive install-data-recursive \
159         install-dvi-recursive install-exec-recursive \
160         install-html-recursive install-info-recursive \
161         install-pdf-recursive install-ps-recursive install-recursive \
162         installcheck-recursive installdirs-recursive pdf-recursive \
163         ps-recursive uninstall-recursive
164 am__can_run_installinfo = \
165   case $$AM_UPDATE_INFO_DIR in \
166     n|no|NO) false;; \
167     *) (install-info --version) >/dev/null 2>&1;; \
168   esac
169 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
170   distclean-recursive maintainer-clean-recursive
171 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
172         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
173         distdir
174 ETAGS = etags
175 CTAGS = ctags
176 DIST_SUBDIRS = $(SUBDIRS)
177 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
178 am__relativize = \
179   dir0=`pwd`; \
180   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
181   sed_rest='s,^[^/]*/*,,'; \
182   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
183   sed_butlast='s,/*[^/]*$$,,'; \
184   while test -n "$$dir1"; do \
185     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
186     if test "$$first" != "."; then \
187       if test "$$first" = ".."; then \
188         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
189         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
190       else \
191         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
192         if test "$$first2" = "$$first"; then \
193           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
194         else \
195           dir2="../$$dir2"; \
196         fi; \
197         dir0="$$dir0"/"$$first"; \
198       fi; \
199     fi; \
200     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
201   done; \
202   reldir="$$dir2"
203 ACLOCAL = @ACLOCAL@
204 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
205 AMTAR = @AMTAR@
206 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
207 AR = @AR@
208 AS = @AS@
209 AUTOCONF = @AUTOCONF@
210 AUTOHEADER = @AUTOHEADER@
211 AUTOMAKE = @AUTOMAKE@
212 AWK = @AWK@
213 CAIRO_CFLAGS = @CAIRO_CFLAGS@
214 CAIRO_LIBS = @CAIRO_LIBS@
215 CC = @CC@
216 CCDEPMODE = @CCDEPMODE@
217 CFLAGS = @CFLAGS@
218 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
219 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
220 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
221 CPP = @CPP@
222 CPPFLAGS = @CPPFLAGS@
223 CYGPATH_W = @CYGPATH_W@
224 DATADIR = @DATADIR@
225 DEFS = @DEFS@
226 DEPDIR = @DEPDIR@
227 DLLTOOL = @DLLTOOL@
228 DSYMUTIL = @DSYMUTIL@
229 DUMPBIN = @DUMPBIN@
230 ECHO_C = @ECHO_C@
231 ECHO_N = @ECHO_N@
232 ECHO_T = @ECHO_T@
233 EGREP = @EGREP@
234 EXEEXT = @EXEEXT@
235 FFI_CFLAGS = @FFI_CFLAGS@
236 FFI_LIBS = @FFI_LIBS@
237 FGREP = @FGREP@
238 GENHTML = @GENHTML@
239 GIO_CFLAGS = @GIO_CFLAGS@
240 GIO_LIBS = @GIO_LIBS@
241 GI_CFLAGS = @GI_CFLAGS@
242 GI_DATADIR = @GI_DATADIR@
243 GI_LIBS = @GI_LIBS@
244 GLIB_CFLAGS = @GLIB_CFLAGS@
245 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
246 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
247 GLIB_LIBS = @GLIB_LIBS@
248 GLIB_MKENUMS = @GLIB_MKENUMS@
249 GOBJECT_QUERY = @GOBJECT_QUERY@
250 GREP = @GREP@
251 INSTALL = @INSTALL@
252 INSTALL_DATA = @INSTALL_DATA@
253 INSTALL_PROGRAM = @INSTALL_PROGRAM@
254 INSTALL_SCRIPT = @INSTALL_SCRIPT@
255 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
256 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
257 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
258 LCOV = @LCOV@
259 LD = @LD@
260 LDFLAGS = @LDFLAGS@
261 LIBFFI_PC = @LIBFFI_PC@
262 LIBOBJS = @LIBOBJS@
263 LIBS = @LIBS@
264 LIBTOOL = @LIBTOOL@
265 LIPO = @LIPO@
266 LN_S = @LN_S@
267 LTLIBOBJS = @LTLIBOBJS@
268 MAKEINFO = @MAKEINFO@
269 MANIFEST_TOOL = @MANIFEST_TOOL@
270 MKDIR_P = @MKDIR_P@
271 NM = @NM@
272 NMEDIT = @NMEDIT@
273 OBJDUMP = @OBJDUMP@
274 OBJEXT = @OBJEXT@
275 OTOOL = @OTOOL@
276 OTOOL64 = @OTOOL64@
277 PACKAGE = @PACKAGE@
278 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
279 PACKAGE_NAME = @PACKAGE_NAME@
280 PACKAGE_STRING = @PACKAGE_STRING@
281 PACKAGE_TARNAME = @PACKAGE_TARNAME@
282 PACKAGE_URL = @PACKAGE_URL@
283 PACKAGE_VERSION = @PACKAGE_VERSION@
284 PATH_SEPARATOR = @PATH_SEPARATOR@
285 PKG_CONFIG = @PKG_CONFIG@
286 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
287 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
288 PLATFORM = @PLATFORM@
289 PYCAIRO_CFLAGS = @PYCAIRO_CFLAGS@
290 PYCAIRO_LIBS = @PYCAIRO_LIBS@
291 PYGOBJECT_MAJOR_VERSION = @PYGOBJECT_MAJOR_VERSION@
292 PYGOBJECT_MICRO_VERSION = @PYGOBJECT_MICRO_VERSION@
293 PYGOBJECT_MINOR_VERSION = @PYGOBJECT_MINOR_VERSION@
294 PYTHON = @PYTHON@
295 PYTHON_BASENAME = @PYTHON_BASENAME@
296 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
297 PYTHON_INCLUDES = @PYTHON_INCLUDES@
298 PYTHON_LIBS = @PYTHON_LIBS@
299 PYTHON_LIB_LOC = @PYTHON_LIB_LOC@
300 PYTHON_PLATFORM = @PYTHON_PLATFORM@
301 PYTHON_PREFIX = @PYTHON_PREFIX@
302 PYTHON_SO = @PYTHON_SO@
303 PYTHON_VERSION = @PYTHON_VERSION@
304 RANLIB = @RANLIB@
305 SED = @SED@
306 SET_MAKE = @SET_MAKE@
307 SHELL = @SHELL@
308 STRIP = @STRIP@
309 THREADING_CFLAGS = @THREADING_CFLAGS@
310 VERSION = @VERSION@
311 WARN_CFLAGS = @WARN_CFLAGS@
312 abs_builddir = @abs_builddir@
313 abs_srcdir = @abs_srcdir@
314 abs_top_builddir = @abs_top_builddir@
315 abs_top_srcdir = @abs_top_srcdir@
316 ac_ct_AR = @ac_ct_AR@
317 ac_ct_CC = @ac_ct_CC@
318 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
319 am__include = @am__include@
320 am__leading_dot = @am__leading_dot@
321 am__quote = @am__quote@
322 am__tar = @am__tar@
323 am__untar = @am__untar@
324 bindir = @bindir@
325 build = @build@
326 build_alias = @build_alias@
327 build_cpu = @build_cpu@
328 build_os = @build_os@
329 build_vendor = @build_vendor@
330 builddir = @builddir@
331 datadir = @datadir@
332 datarootdir = @datarootdir@
333 docdir = @docdir@
334 dvidir = @dvidir@
335 exec_prefix = @exec_prefix@
336 host = @host@
337 host_alias = @host_alias@
338 host_cpu = @host_cpu@
339 host_os = @host_os@
340 host_vendor = @host_vendor@
341 htmldir = @htmldir@
342 includedir = @includedir@
343 infodir = @infodir@
344 install_sh = @install_sh@
345 libdir = @libdir@
346 libexecdir = @libexecdir@
347 localedir = @localedir@
348 localstatedir = @localstatedir@
349 mandir = @mandir@
350 mkdir_p = @mkdir_p@
351 oldincludedir = @oldincludedir@
352 pdfdir = @pdfdir@
353 pkgpyexecdir = @pkgpyexecdir@
354 pkgpythondir = @pkgpythondir@
355 prefix = @prefix@
356 program_transform_name = @program_transform_name@
357 psdir = @psdir@
358 pyexecdir = @pyexecdir@
359 pythondir = @pythondir@
360 sbindir = @sbindir@
361 sharedstatedir = @sharedstatedir@
362 srcdir = @srcdir@
363 sysconfdir = @sysconfdir@
364 target_alias = @target_alias@
365 top_build_prefix = @top_build_prefix@
366 top_builddir = @top_builddir@
367 top_srcdir = @top_srcdir@
368 SUBDIRS = \
369         repository \
370         overrides \
371         _glib \
372         _gobject
373
374 extension_cppflags = \
375         $(PYTHON_INCLUDES) \
376         -DPY_SSIZE_T_CLEAN
377
378 extension_ldflags = -module -avoid-version -shrext $(PYTHON_SO) \
379         $(am__append_1)
380
381 # Windows requires Python modules to be explicitly linked to libpython.
382 # Extension modules are shared libaries (.dll), but need to be
383 # called .pyd for Python to load it as an extension module.
384 @OS_WIN32_TRUE@extension_libadd = \
385 @OS_WIN32_TRUE@ $(PYTHON_LIBS)
386
387 pygidir = $(pyexecdir)/gi
388 pygi_LTLIBRARIES = _gi.la $(am__append_2)
389 _gi_la_SOURCES = \
390         pygi-repository.c \
391         pygi-repository.h \
392         pygi-info.c \
393         pygi-info.h \
394         pygi-foreign.c \
395         pygi-foreign.h \
396         pygi-struct.c \
397         pygi-struct.h \
398         pygi-source.c \
399         pygi-source.h \
400         pygi-argument.c \
401         pygi-argument.h \
402         pygi-type.c \
403         pygi-type.h \
404         pygi-boxed.c \
405         pygi-boxed.h \
406         pygi-closure.c \
407         pygi-closure.h \
408         pygi-ccallback.c \
409         pygi-ccallback.h \
410         pygi.h \
411         pygi-private.h \
412         pygi-property.c \
413         pygi-property.h \
414         pygi-signal-closure.c \
415         pygi-signal-closure.h \
416         pygobject-external.h \
417         gimodule.c \
418         pygi-invoke.c \
419         pygi-invoke.h \
420         pygi-invoke-state-struct.h \
421         pygi-cache.h \
422         pygi-cache.c \
423         pygi-marshal-from-py.c \
424         pygi-marshal-from-py.h \
425         pygi-marshal-to-py.c \
426         pygi-marshal-to-py.h \
427         pygi-marshal-cleanup.c \
428         pygi-marshal-cleanup.h
429
430 _gi_la_CFLAGS = \
431         $(GI_CFLAGS)
432
433 _gi_la_CPPFLAGS = \
434         $(extension_cppflags) \
435         -I$(top_srcdir)/gi/_glib \
436         -I$(top_srcdir)/gi/_gobject
437
438 _gi_la_LIBADD = \
439         $(extension_libadd) \
440         $(GI_LIBS) \
441         $(top_builddir)/gi/_glib/libpyglib-gi-2.0-@PYTHON_BASENAME@.la
442
443 _gi_la_LDFLAGS = \
444         $(extension_ldflags) \
445         -export-symbols-regex "init_gi|PyInit__gi"
446
447 _gi_cairo_la_SOURCES = \
448         pygi-foreign-cairo.c
449
450 _gi_cairo_la_CFLAGS = \
451         $(GI_CFLAGS) \
452         $(PYCAIRO_CFLAGS)
453
454 _gi_cairo_la_CPPFLAGS = \
455         $(extension_cppflags) \
456         -I$(top_srcdir)/gi/_glib \
457         -I$(top_srcdir)/gi/_gobject
458
459 _gi_cairo_la_LIBADD = \
460         $(extension_libadd) \
461         $(GI_LIBS) \
462         $(PYCAIRO_LIBS)
463
464 _gi_cairo_la_LDFLAGS = \
465         $(extension_ldflags) \
466         -export-symbols-regex "init_gi_cairo|PyInit__gi_cairo"
467
468 all: all-recursive
469
470 .SUFFIXES:
471 .SUFFIXES: .c .lo .o .obj
472 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
473         @for dep in $?; do \
474           case '$(am__configure_deps)' in \
475             *$$dep*) \
476               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
477                 && { if test -f $@; then exit 0; else break; fi; }; \
478               exit 1;; \
479           esac; \
480         done; \
481         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gi/Makefile'; \
482         $(am__cd) $(top_srcdir) && \
483           $(AUTOMAKE) --foreign gi/Makefile
484 .PRECIOUS: Makefile
485 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
486         @case '$?' in \
487           *config.status*) \
488             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
489           *) \
490             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
491             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
492         esac;
493
494 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
495         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
496
497 $(top_srcdir)/configure:  $(am__configure_deps)
498         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
499 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
500         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
501 $(am__aclocal_m4_deps):
502 install-pygiLTLIBRARIES: $(pygi_LTLIBRARIES)
503         @$(NORMAL_INSTALL)
504         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
505         list2=; for p in $$list; do \
506           if test -f $$p; then \
507             list2="$$list2 $$p"; \
508           else :; fi; \
509         done; \
510         test -z "$$list2" || { \
511           echo " $(MKDIR_P) '$(DESTDIR)$(pygidir)'"; \
512           $(MKDIR_P) "$(DESTDIR)$(pygidir)" || exit 1; \
513           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pygidir)'"; \
514           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pygidir)"; \
515         }
516
517 uninstall-pygiLTLIBRARIES:
518         @$(NORMAL_UNINSTALL)
519         @list='$(pygi_LTLIBRARIES)'; test -n "$(pygidir)" || list=; \
520         for p in $$list; do \
521           $(am__strip_dir) \
522           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pygidir)/$$f'"; \
523           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pygidir)/$$f"; \
524         done
525
526 clean-pygiLTLIBRARIES:
527         -test -z "$(pygi_LTLIBRARIES)" || rm -f $(pygi_LTLIBRARIES)
528         @list='$(pygi_LTLIBRARIES)'; for p in $$list; do \
529           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
530           test "$$dir" != "$$p" || dir=.; \
531           echo "rm -f \"$${dir}/so_locations\""; \
532           rm -f "$${dir}/so_locations"; \
533         done
534 _gi.la: $(_gi_la_OBJECTS) $(_gi_la_DEPENDENCIES) $(EXTRA__gi_la_DEPENDENCIES) 
535         $(AM_V_CCLD)$(_gi_la_LINK) -rpath $(pygidir) $(_gi_la_OBJECTS) $(_gi_la_LIBADD) $(LIBS)
536 _gi_cairo.la: $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_DEPENDENCIES) $(EXTRA__gi_cairo_la_DEPENDENCIES) 
537         $(AM_V_CCLD)$(_gi_cairo_la_LINK) $(am__gi_cairo_la_rpath) $(_gi_cairo_la_OBJECTS) $(_gi_cairo_la_LIBADD) $(LIBS)
538
539 mostlyclean-compile:
540         -rm -f *.$(OBJEXT)
541
542 distclean-compile:
543         -rm -f *.tab.c
544
545 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo@am__quote@
546 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-gimodule.Plo@am__quote@
547 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-argument.Plo@am__quote@
548 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-boxed.Plo@am__quote@
549 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-cache.Plo@am__quote@
550 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-ccallback.Plo@am__quote@
551 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-closure.Plo@am__quote@
552 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-foreign.Plo@am__quote@
553 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-info.Plo@am__quote@
554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-invoke.Plo@am__quote@
555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo@am__quote@
556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo@am__quote@
557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo@am__quote@
558 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-property.Plo@am__quote@
559 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-repository.Plo@am__quote@
560 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-signal-closure.Plo@am__quote@
561 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-source.Plo@am__quote@
562 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-struct.Plo@am__quote@
563 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_gi_la-pygi-type.Plo@am__quote@
564
565 .c.o:
566 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
567 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
569 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
570 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
571
572 .c.obj:
573 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
574 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
577 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
578
579 .c.lo:
580 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
581 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
584 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
585
586 _gi_la-pygi-repository.lo: pygi-repository.c
587 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-repository.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-repository.Tpo -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
588 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-repository.Tpo $(DEPDIR)/_gi_la-pygi-repository.Plo
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-repository.c' object='_gi_la-pygi-repository.lo' libtool=yes @AMDEPBACKSLASH@
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
591 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-repository.lo `test -f 'pygi-repository.c' || echo '$(srcdir)/'`pygi-repository.c
592
593 _gi_la-pygi-info.lo: pygi-info.c
594 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-info.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-info.Tpo -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
595 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-info.Tpo $(DEPDIR)/_gi_la-pygi-info.Plo
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-info.c' object='_gi_la-pygi-info.lo' libtool=yes @AMDEPBACKSLASH@
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-info.lo `test -f 'pygi-info.c' || echo '$(srcdir)/'`pygi-info.c
599
600 _gi_la-pygi-foreign.lo: pygi-foreign.c
601 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-foreign.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-foreign.Tpo -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
602 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-foreign.Tpo $(DEPDIR)/_gi_la-pygi-foreign.Plo
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign.c' object='_gi_la-pygi-foreign.lo' libtool=yes @AMDEPBACKSLASH@
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-foreign.lo `test -f 'pygi-foreign.c' || echo '$(srcdir)/'`pygi-foreign.c
606
607 _gi_la-pygi-struct.lo: pygi-struct.c
608 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-struct.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-struct.Tpo -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
609 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-struct.Tpo $(DEPDIR)/_gi_la-pygi-struct.Plo
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-struct.c' object='_gi_la-pygi-struct.lo' libtool=yes @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-struct.lo `test -f 'pygi-struct.c' || echo '$(srcdir)/'`pygi-struct.c
613
614 _gi_la-pygi-source.lo: pygi-source.c
615 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-source.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-source.Tpo -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
616 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-source.Tpo $(DEPDIR)/_gi_la-pygi-source.Plo
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-source.c' object='_gi_la-pygi-source.lo' libtool=yes @AMDEPBACKSLASH@
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
619 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-source.lo `test -f 'pygi-source.c' || echo '$(srcdir)/'`pygi-source.c
620
621 _gi_la-pygi-argument.lo: pygi-argument.c
622 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-argument.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-argument.Tpo -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
623 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-argument.Tpo $(DEPDIR)/_gi_la-pygi-argument.Plo
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-argument.c' object='_gi_la-pygi-argument.lo' libtool=yes @AMDEPBACKSLASH@
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
626 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-argument.lo `test -f 'pygi-argument.c' || echo '$(srcdir)/'`pygi-argument.c
627
628 _gi_la-pygi-type.lo: pygi-type.c
629 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-type.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-type.Tpo -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
630 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-type.Tpo $(DEPDIR)/_gi_la-pygi-type.Plo
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-type.c' object='_gi_la-pygi-type.lo' libtool=yes @AMDEPBACKSLASH@
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
633 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-type.lo `test -f 'pygi-type.c' || echo '$(srcdir)/'`pygi-type.c
634
635 _gi_la-pygi-boxed.lo: pygi-boxed.c
636 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-boxed.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-boxed.Tpo -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
637 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-boxed.Tpo $(DEPDIR)/_gi_la-pygi-boxed.Plo
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-boxed.c' object='_gi_la-pygi-boxed.lo' libtool=yes @AMDEPBACKSLASH@
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
640 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-boxed.lo `test -f 'pygi-boxed.c' || echo '$(srcdir)/'`pygi-boxed.c
641
642 _gi_la-pygi-closure.lo: pygi-closure.c
643 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-closure.Tpo -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
644 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-closure.Tpo $(DEPDIR)/_gi_la-pygi-closure.Plo
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-closure.c' object='_gi_la-pygi-closure.lo' libtool=yes @AMDEPBACKSLASH@
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
647 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-closure.lo `test -f 'pygi-closure.c' || echo '$(srcdir)/'`pygi-closure.c
648
649 _gi_la-pygi-ccallback.lo: pygi-ccallback.c
650 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-ccallback.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-ccallback.Tpo -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
651 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-ccallback.Tpo $(DEPDIR)/_gi_la-pygi-ccallback.Plo
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-ccallback.c' object='_gi_la-pygi-ccallback.lo' libtool=yes @AMDEPBACKSLASH@
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
654 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-ccallback.lo `test -f 'pygi-ccallback.c' || echo '$(srcdir)/'`pygi-ccallback.c
655
656 _gi_la-pygi-property.lo: pygi-property.c
657 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-property.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-property.Tpo -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
658 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-property.Tpo $(DEPDIR)/_gi_la-pygi-property.Plo
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-property.c' object='_gi_la-pygi-property.lo' libtool=yes @AMDEPBACKSLASH@
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-property.lo `test -f 'pygi-property.c' || echo '$(srcdir)/'`pygi-property.c
662
663 _gi_la-pygi-signal-closure.lo: pygi-signal-closure.c
664 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-signal-closure.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
665 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-signal-closure.Tpo $(DEPDIR)/_gi_la-pygi-signal-closure.Plo
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-signal-closure.c' object='_gi_la-pygi-signal-closure.lo' libtool=yes @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-signal-closure.lo `test -f 'pygi-signal-closure.c' || echo '$(srcdir)/'`pygi-signal-closure.c
669
670 _gi_la-gimodule.lo: gimodule.c
671 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-gimodule.lo -MD -MP -MF $(DEPDIR)/_gi_la-gimodule.Tpo -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
672 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-gimodule.Tpo $(DEPDIR)/_gi_la-gimodule.Plo
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gimodule.c' object='_gi_la-gimodule.lo' libtool=yes @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-gimodule.lo `test -f 'gimodule.c' || echo '$(srcdir)/'`gimodule.c
676
677 _gi_la-pygi-invoke.lo: pygi-invoke.c
678 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-invoke.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-invoke.Tpo -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
679 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-invoke.Tpo $(DEPDIR)/_gi_la-pygi-invoke.Plo
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-invoke.c' object='_gi_la-pygi-invoke.lo' libtool=yes @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-invoke.lo `test -f 'pygi-invoke.c' || echo '$(srcdir)/'`pygi-invoke.c
683
684 _gi_la-pygi-cache.lo: pygi-cache.c
685 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-cache.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-cache.Tpo -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
686 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-cache.Tpo $(DEPDIR)/_gi_la-pygi-cache.Plo
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-cache.c' object='_gi_la-pygi-cache.lo' libtool=yes @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-cache.lo `test -f 'pygi-cache.c' || echo '$(srcdir)/'`pygi-cache.c
690
691 _gi_la-pygi-marshal-from-py.lo: pygi-marshal-from-py.c
692 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-from-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
693 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-from-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-from-py.Plo
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-from-py.c' object='_gi_la-pygi-marshal-from-py.lo' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-from-py.lo `test -f 'pygi-marshal-from-py.c' || echo '$(srcdir)/'`pygi-marshal-from-py.c
697
698 _gi_la-pygi-marshal-to-py.lo: pygi-marshal-to-py.c
699 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-to-py.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
700 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-to-py.Tpo $(DEPDIR)/_gi_la-pygi-marshal-to-py.Plo
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-to-py.c' object='_gi_la-pygi-marshal-to-py.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-to-py.lo `test -f 'pygi-marshal-to-py.c' || echo '$(srcdir)/'`pygi-marshal-to-py.c
704
705 _gi_la-pygi-marshal-cleanup.lo: pygi-marshal-cleanup.c
706 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -MT _gi_la-pygi-marshal-cleanup.lo -MD -MP -MF $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
707 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Tpo $(DEPDIR)/_gi_la-pygi-marshal-cleanup.Plo
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-marshal-cleanup.c' object='_gi_la-pygi-marshal-cleanup.lo' libtool=yes @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_la_CPPFLAGS) $(CPPFLAGS) $(_gi_la_CFLAGS) $(CFLAGS) -c -o _gi_la-pygi-marshal-cleanup.lo `test -f 'pygi-marshal-cleanup.c' || echo '$(srcdir)/'`pygi-marshal-cleanup.c
711
712 _gi_cairo_la-pygi-foreign-cairo.lo: pygi-foreign-cairo.c
713 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -MT _gi_cairo_la-pygi-foreign-cairo.lo -MD -MP -MF $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
714 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Tpo $(DEPDIR)/_gi_cairo_la-pygi-foreign-cairo.Plo
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='pygi-foreign-cairo.c' object='_gi_cairo_la-pygi-foreign-cairo.lo' libtool=yes @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(_gi_cairo_la_CPPFLAGS) $(CPPFLAGS) $(_gi_cairo_la_CFLAGS) $(CFLAGS) -c -o _gi_cairo_la-pygi-foreign-cairo.lo `test -f 'pygi-foreign-cairo.c' || echo '$(srcdir)/'`pygi-foreign-cairo.c
718
719 mostlyclean-libtool:
720         -rm -f *.lo
721
722 clean-libtool:
723         -rm -rf .libs _libs
724
725 # This directory's subdirectories are mostly independent; you can cd
726 # into them and run `make' without going through this Makefile.
727 # To change the values of `make' variables: instead of editing Makefiles,
728 # (1) if the variable is set in `config.status', edit `config.status'
729 #     (which will cause the Makefiles to be regenerated when you run `make');
730 # (2) otherwise, pass the desired values on the `make' command line.
731 $(RECURSIVE_TARGETS):
732         @fail= failcom='exit 1'; \
733         for f in x $$MAKEFLAGS; do \
734           case $$f in \
735             *=* | --[!k]*);; \
736             *k*) failcom='fail=yes';; \
737           esac; \
738         done; \
739         dot_seen=no; \
740         target=`echo $@ | sed s/-recursive//`; \
741         list='$(SUBDIRS)'; for subdir in $$list; do \
742           echo "Making $$target in $$subdir"; \
743           if test "$$subdir" = "."; then \
744             dot_seen=yes; \
745             local_target="$$target-am"; \
746           else \
747             local_target="$$target"; \
748           fi; \
749           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
750           || eval $$failcom; \
751         done; \
752         if test "$$dot_seen" = "no"; then \
753           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
754         fi; test -z "$$fail"
755
756 $(RECURSIVE_CLEAN_TARGETS):
757         @fail= failcom='exit 1'; \
758         for f in x $$MAKEFLAGS; do \
759           case $$f in \
760             *=* | --[!k]*);; \
761             *k*) failcom='fail=yes';; \
762           esac; \
763         done; \
764         dot_seen=no; \
765         case "$@" in \
766           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
767           *) list='$(SUBDIRS)' ;; \
768         esac; \
769         rev=''; for subdir in $$list; do \
770           if test "$$subdir" = "."; then :; else \
771             rev="$$subdir $$rev"; \
772           fi; \
773         done; \
774         rev="$$rev ."; \
775         target=`echo $@ | sed s/-recursive//`; \
776         for subdir in $$rev; do \
777           echo "Making $$target in $$subdir"; \
778           if test "$$subdir" = "."; then \
779             local_target="$$target-am"; \
780           else \
781             local_target="$$target"; \
782           fi; \
783           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
784           || eval $$failcom; \
785         done && test -z "$$fail"
786 tags-recursive:
787         list='$(SUBDIRS)'; for subdir in $$list; do \
788           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
789         done
790 ctags-recursive:
791         list='$(SUBDIRS)'; for subdir in $$list; do \
792           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
793         done
794
795 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
796         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
797         unique=`for i in $$list; do \
798             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
799           done | \
800           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
801               END { if (nonempty) { for (i in files) print i; }; }'`; \
802         mkid -fID $$unique
803 tags: TAGS
804
805 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
806                 $(TAGS_FILES) $(LISP)
807         set x; \
808         here=`pwd`; \
809         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
810           include_option=--etags-include; \
811           empty_fix=.; \
812         else \
813           include_option=--include; \
814           empty_fix=; \
815         fi; \
816         list='$(SUBDIRS)'; for subdir in $$list; do \
817           if test "$$subdir" = .; then :; else \
818             test ! -f $$subdir/TAGS || \
819               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
820           fi; \
821         done; \
822         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
823         unique=`for i in $$list; do \
824             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
825           done | \
826           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
827               END { if (nonempty) { for (i in files) print i; }; }'`; \
828         shift; \
829         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
830           test -n "$$unique" || unique=$$empty_fix; \
831           if test $$# -gt 0; then \
832             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
833               "$$@" $$unique; \
834           else \
835             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
836               $$unique; \
837           fi; \
838         fi
839 ctags: CTAGS
840 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
841                 $(TAGS_FILES) $(LISP)
842         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
843         unique=`for i in $$list; do \
844             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
845           done | \
846           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
847               END { if (nonempty) { for (i in files) print i; }; }'`; \
848         test -z "$(CTAGS_ARGS)$$unique" \
849           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
850              $$unique
851
852 GTAGS:
853         here=`$(am__cd) $(top_builddir) && pwd` \
854           && $(am__cd) $(top_srcdir) \
855           && gtags -i $(GTAGS_ARGS) "$$here"
856
857 distclean-tags:
858         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
859
860 distdir: $(DISTFILES)
861         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
862         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
863         list='$(DISTFILES)'; \
864           dist_files=`for file in $$list; do echo $$file; done | \
865           sed -e "s|^$$srcdirstrip/||;t" \
866               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
867         case $$dist_files in \
868           */*) $(MKDIR_P) `echo "$$dist_files" | \
869                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
870                            sort -u` ;; \
871         esac; \
872         for file in $$dist_files; do \
873           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
874           if test -d $$d/$$file; then \
875             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
876             if test -d "$(distdir)/$$file"; then \
877               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
878             fi; \
879             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
880               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
881               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
882             fi; \
883             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
884           else \
885             test -f "$(distdir)/$$file" \
886             || cp -p $$d/$$file "$(distdir)/$$file" \
887             || exit 1; \
888           fi; \
889         done
890         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
891           if test "$$subdir" = .; then :; else \
892             $(am__make_dryrun) \
893               || test -d "$(distdir)/$$subdir" \
894               || $(MKDIR_P) "$(distdir)/$$subdir" \
895               || exit 1; \
896             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
897             $(am__relativize); \
898             new_distdir=$$reldir; \
899             dir1=$$subdir; dir2="$(top_distdir)"; \
900             $(am__relativize); \
901             new_top_distdir=$$reldir; \
902             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
903             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
904             ($(am__cd) $$subdir && \
905               $(MAKE) $(AM_MAKEFLAGS) \
906                 top_distdir="$$new_top_distdir" \
907                 distdir="$$new_distdir" \
908                 am__remove_distdir=: \
909                 am__skip_length_check=: \
910                 am__skip_mode_fix=: \
911                 distdir) \
912               || exit 1; \
913           fi; \
914         done
915 check-am: all-am
916         $(MAKE) $(AM_MAKEFLAGS) check-local
917 check: check-recursive
918 all-am: Makefile $(LTLIBRARIES) all-local
919 installdirs: installdirs-recursive
920 installdirs-am:
921         for dir in "$(DESTDIR)$(pygidir)"; do \
922           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
923         done
924 install: install-recursive
925 install-exec: install-exec-recursive
926 install-data: install-data-recursive
927 uninstall: uninstall-recursive
928
929 install-am: all-am
930         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
931
932 installcheck: installcheck-recursive
933 install-strip:
934         if test -z '$(STRIP)'; then \
935           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
936             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
937               install; \
938         else \
939           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
940             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
941             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
942         fi
943 mostlyclean-generic:
944
945 clean-generic:
946
947 distclean-generic:
948         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
949         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
950
951 maintainer-clean-generic:
952         @echo "This command is intended for maintainers to use"
953         @echo "it deletes files that may require special tools to rebuild."
954 clean: clean-recursive
955
956 clean-am: clean-generic clean-libtool clean-local \
957         clean-pygiLTLIBRARIES mostlyclean-am
958
959 distclean: distclean-recursive
960         -rm -rf ./$(DEPDIR)
961         -rm -f Makefile
962 distclean-am: clean-am distclean-compile distclean-generic \
963         distclean-tags
964
965 dvi: dvi-recursive
966
967 dvi-am:
968
969 html: html-recursive
970
971 html-am:
972
973 info: info-recursive
974
975 info-am:
976
977 install-data-am: install-pygiLTLIBRARIES
978
979 install-dvi: install-dvi-recursive
980
981 install-dvi-am:
982
983 install-exec-am:
984
985 install-html: install-html-recursive
986
987 install-html-am:
988
989 install-info: install-info-recursive
990
991 install-info-am:
992
993 install-man:
994
995 install-pdf: install-pdf-recursive
996
997 install-pdf-am:
998
999 install-ps: install-ps-recursive
1000
1001 install-ps-am:
1002
1003 installcheck-am:
1004
1005 maintainer-clean: maintainer-clean-recursive
1006         -rm -rf ./$(DEPDIR)
1007         -rm -f Makefile
1008 maintainer-clean-am: distclean-am maintainer-clean-generic
1009
1010 mostlyclean: mostlyclean-recursive
1011
1012 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1013         mostlyclean-libtool
1014
1015 pdf: pdf-recursive
1016
1017 pdf-am:
1018
1019 ps: ps-recursive
1020
1021 ps-am:
1022
1023 uninstall-am: uninstall-pygiLTLIBRARIES
1024
1025 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) check-am \
1026         ctags-recursive install-am install-strip tags-recursive
1027
1028 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1029         all all-am all-local check check-am check-local clean \
1030         clean-generic clean-libtool clean-local clean-pygiLTLIBRARIES \
1031         ctags ctags-recursive distclean distclean-compile \
1032         distclean-generic distclean-libtool distclean-tags distdir dvi \
1033         dvi-am html html-am info info-am install install-am \
1034         install-data install-data-am install-dvi install-dvi-am \
1035         install-exec install-exec-am install-html install-html-am \
1036         install-info install-info-am install-man install-pdf \
1037         install-pdf-am install-ps install-ps-am \
1038         install-pygiLTLIBRARIES install-strip installcheck \
1039         installcheck-am installdirs installdirs-am maintainer-clean \
1040         maintainer-clean-generic mostlyclean mostlyclean-compile \
1041         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1042         tags tags-recursive uninstall uninstall-am \
1043         uninstall-pygiLTLIBRARIES
1044
1045
1046 # This is to ensure we have a symlink to the .so in the
1047 # build directory, which the Python interpreter can load
1048 # directly without having to know how to parse .la files.
1049 %$(PYTHON_SO): %.la
1050         $(LN_S) -f .libs/$@ $@
1051
1052 all-local: $(LTLIBRARIES:.la=$(PYTHON_SO))
1053
1054 check-local: $(LTLIBRARIES:.la=$(PYTHON_SO))
1055 clean-local:
1056         rm -f $(LTLIBRARIES:.la=$(PYTHON_SO))
1057
1058 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1059 # Otherwise a system limit (for SysV at least) may be exceeded.
1060 .NOEXPORT: